#
# spec file for package mt_st (Version 0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mt_st
Version:      0.6
Release:      112
Copyright:    GNU GPL
Group:        Utilities/Archiving
Provides:     mt-st 
Autoreqprov:  on
Summary:      mt-st controls magnetic tape drive
Source:		mt-st-%{version}.tar.gz
Patch:		mt-st.diff
BuildRoot:	/var/tmp/%{name}-buildroot

%description
Although this mt program (called mtst) is tailored for SCSI tape, it
can also be used with the QIC-02 driver and hopefully with other Linux
tape drivers  that use the same ioctls (some of the commands may not
work with all drivers).
The stinit program allows to set some SCSI tape params.

Authors:
--------
    Kai Makisara <Kai.Makisara@metla.fi>

SuSE series: ap

%prep
%setup -n mt-st-0.6
%patch -p1

%build
    make CFLAGS="$RPM_OPT_FLAGS"

%install
    make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}

%files
/usr/bin/mtst
%doc %{_mandir}/man1/mtst.1.gz
/usr/sbin/stinit
%doc %{_mandir}/man8/stinit.8.gz
%doc README README.stinit stinit.def.examples

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/mt-st-%{version}

%changelog -n mt_st
* Fri Dec 01 2000 - garloff@suse.de
- Update to mt-st-0.6; including osst (OnStream) support.
* Sat May 27 2000 - garloff@suse.de
- Add some docu
- Use BuildRoot.
* Sat Feb 05 2000 - garloff@suse.de
- Move manpages to /usr/share/man
* Tue Jan 04 2000 - garloff@suse.de
- upgrade to 0.5b (including stinit).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
